# Interface IdentifiedColumnData

public interface IdentifiedColumnData
Aggregates a ColumnData and an identifier for the same.

The identifier can be used for assessment of equality. Instances referring to different columns should have different values, and the identifier for a single instance should change if the content of its columns is expected to have changed.

Since:
  27 Jun 2025
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.table.ColumnData`
`getColumnData()`
Returns the ColumnData.
`String`
`getId()`
Returns the identifier, which can be used to assess equality of the content of the column data at construction time of this object.

## Method Details

### getColumnData

uk.ac.starlink.table.ColumnData getColumnData()
Returns the ColumnData.

Returns:
  column data

### getId

String getId()
Returns the identifier, which can be used to assess equality of the content of the column data at construction time of this object.

Returns:
  identifier